# Dala's NixOS machines configurations

This repo contains the NixOS configuration (each package and their configurations) for all my machines.

It uses:
- [colmena](https://github.com/zhaofengli/colmena) as deployment system.
- [agenix](https://github.com/ryantm/agenix) for secrets management.
- [home-manager](https://github.com/nix-community/home-manager) for user-specific configuration on workstation.
- [lanzaboote](https://github.com/nix-community/lanzaboote) to manager and sign configurations for SecureBoot on my amd64 machines.
- [lix](https://lix.systems) as a replacement for the Nix package manager.

## Structure

Here is the structure of the project:

```
modules/ (Custom modules and wrappers around nixpkgs options)
|- common/
|- server/
|- workstation/
   |- home-manager (home)
configurations/ (Each machine configurations)
machines.nix (list all my machines with meta infos)
```
