{
  pkgs,
  ...
}:
{

  imports = [
    ./hardware.nix
    ./wireguard.nix
  ];

  deployment.targetHost = null;
  boot.binfmt.emulatedSystems = [ "aarch64-linux" ];

  nixpkgs.config.allowUnfree = true;

  age.secrets = {
    wg0Private.file = ../../secrets/fuyuki-wg0.age;
  };

  my.connection.vpn.enable = true;

  my.users = {
    dala = {
      description = "Dala";
      groups = [
        "wheel"
        "network"
        "audio"
        "video"
        "docker"
        "wireshark"
        "dialout"
      ];
      uid = 1000;
      shell = pkgs.fish;

      hmConfig = {
        programs.helix.enable = true;
        my.desktop.sway.monitors = [
          {
            name = "Chimei Innolux Corporation 0x14C9 Unknown";
            resolution = "1920x1080@60.008Hz";
            position = "0 0";
            defaultWorkspace = 1;
          }
        ];
        my.development.tools.embedded.enable = true;
      };
    };
  };
}
