{ lib, config, ... }:
{
  boot.initrd.availableKernelModules = [
    "xhci_pci"
    "nvme"
    "usb_storage"
    "sd_mod"
  ];
  boot.initrd.kernelModules = [
    "dm-snapshot"
    "i915"
  ];
  boot.kernelModules = [ "kvm-intel" ];
  boot.extraModulePackages = [ ];

  my.hardware.gpu = "intel";

  boot.initrd.luks.devices = {
    crypted-nixos = {
      device = "/dev/disk/by-uuid/7531aa41-6b40-43a0-b3a8-a24d99b9de27";
      preLVM = true;
    };
  };

  fileSystems = {
    "/" = {
      device = "/dev/disk/by-uuid/965a9b02-e6fb-49b6-aab6-0a1200d558b5";
      fsType = "ext4";
    };

    "/boot" = {
      device = "/dev/disk/by-uuid/9E6B-3E0D";
      fsType = "vfat";
    };

    "/nix" = {
      device = "/dev/disk/by-uuid/4fe61702-77f9-4321-a107-36b2ac7dc0fb";
      fsType = "ext4";
    };

    "/home" = {
      device = "/dev/disk/by-uuid/564c2d90-3501-4e5d-9c1f-5833af5b65c1";
      fsType = "ext4";
    };
  };

  swapDevices = [ { device = "/dev/disk/by-uuid/d4a1f04b-02a0-403a-ad95-599e8c52bc9b"; } ];

  powerManagement.cpuFreqGovernor = lib.mkDefault "powersave";
  hardware.cpu.intel.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
  services.tlp.enable = true;
}
