{ config, extraInfo, ... }:
{
  networking.wg-quick.interfaces.wg0 = {
    address = [ "10.100.0.3/24" ];
    listenPort = 51820;
    privateKeyFile = config.age.secrets.wg0Private.path;

    dns = [ "10.100.0.1" ];

    peers = [
      # RockPro 64
      {
        publicKey = "XVmG3/rNsCqc8KCmOx3+UUn9DJOnJ40Uxid5JGdChR4=";
        endpoint = "${extraInfo.wireguard.rockProEndpoint}:51820";
        allowedIPs = [ "10.100.0.1/32" ];
        persistentKeepalive = 25;
      }
    ];
  };
}
