{ lib, config, ... }:
{
  boot.initrd.availableKernelModules = [
    "nvme"
    "xhci_pci"
    "ahci"
    "usbhid"
  ];
  boot.initrd.kernelModules = [ "dm-snapshot" ];
  boot.extraModulePackages = [ ];

  # Volumes
  boot.initrd.luks.devices = {
    crypted-nixos = {
      device = "/dev/disk/by-uuid/a4483eca-b546-4519-8591-c922a0d7732a";
      preLVM = true;
    };
  };

  fileSystems = {
    "/" = {
      device = "/dev/disk/by-uuid/ce6814ce-808e-42c3-ba79-ae821b2935ba";
      fsType = "ext4";
    };

    "/boot" = {
      device = "/dev/disk/by-uuid/66D3-9AE4";
      fsType = "vfat";
    };

    "/nix" = {
      device = "/dev/disk/by-uuid/dc3a9b6f-da04-4e9b-a39d-a55300b5ecba";
      fsType = "ext4";
    };

    "/home" = {
      device = "/dev/disk/by-uuid/5daead25-3e7b-4f40-9540-7283e2fc239d";
      fsType = "ext4";
    };
  };

  swapDevices = [
    {
      device = "/dev/mapper/NixOS-swap";
      randomEncryption.enable = true;
    }
  ];

  my.hardware.gpu = "nvidia";
  hardware.cpu.amd.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
}
