{ pkgs, ... }:

{

  imports = [
    ./hardware.nix
    ./unbound.nix
    ./wireguard.nix
  ];

  # Use the extlinux boot loader. (NixOS wants to enable GRUB by default)
  boot.loader.grub.enable = false;
  my.systemd-boot.enable = false;
  # Enables the generation of /boot/extlinux/extlinux.conf
  boot.loader.generic-extlinux-compatible.enable = true;

  my.users = {
    dala = {
      description = "Dala";
      groups = [ "wheel" ];
      uid = 1000;
      shell = pkgs.bash;
    };
  };

  age.secrets = {
    wg0Private.file = ../../secrets/okeanos-wg0.age;
  };

}
