{
  lib,
  config,
  pkgs,
  modulesPath,
  ...
}:
with lib;
{
  imports = [
    ./boot.nix
    ./linux.nix
    ./nix.nix
    ./network.nix
    ./hardware.nix
    ./users.nix
    (modulesPath + "/installer/scan/not-detected.nix")
  ];

  # Only enable fish shell if there is at least one user using it.
  programs.fish.enable = builtins.any (user: user.shell == pkgs.fish) (
    builtins.attrValues config.my.users
  );

  # We always want to disable the X server as only workstation use windows manager
  # and they always use wayland.
  services.xserver.enable = false;
}
