{
  config,
  pkgs,
  lib,
  ...
}:
with lib;
{
  options.my.server.blog.enable = mkOption {
    type = types.bool;
    default = false;
    description = ''
      Enable hosting my personnal website.
    '';
  };

  config = mkIf config.my.server.blog.enable {
    services.nginx.virtualHosts."dalaran.fr" = {
      locations."/".extraConfig = ''
        root ${pkgs.dalaran-fr-blog};
      '';
    };
  };
}
