{
  lib,
  pkgs,
  config,
  ...
}:
let
  commConfig = config.my.communications;
in
with lib;
{
  options.my.communications = {
    discord.enable = mkOption {
      type = types.bool;
      example = true;
      default = true;
    };

    irc.enable = mkOption {
      type = types.bool;
      default = false;
      example = false;
    };
  };

  config.home.packages = with pkgs; [
    (mkIf commConfig.discord.enable (discord.override { nss = nss_latest; }))
    (mkIf commConfig.irc.enable weechat)
  ];
}
