{ lib, config, ... }:
with lib;
{
  programs.swaylock = mkIf config.my.desktop.sway.enable {
    enable = true;

    settings = {
      scaling = "fill";
      font = "JetBrainsMono";
      font-size = 20;
      show-keyboard-layout = true;
      disable-caps-lock-text = true;
      indicator-caps-lock = true;
      ignore-empty-password = true;
      show-failed-attempts = true;
      line-uses-inside = true;

      indicator-radius = 70;
      indicator-thickness = 15;

      color = "#00000000";
      inside-color = "#2e3440a0";
      inside-ver-color = "#4c566aa0";
      inside-wrong-color = "#bf616aa0";
      inside-clear-color = "#434c5ea0";
      inside-caps-lock-color = "#d08770a0";

      text-color = "#d8dee9d0";
      text-clear-color = "#d8dee9d0";
      text-ver-color = "#d8dee9d0";
      text-wrong-color = "#d8dee9d0";
      layout-bg-color = "#00000000";
      layout-text-color = "#d8dee9d0";

      line-color = "#2e3440e0";
      line-clear-color = "#2e3440e0";
      line-caps-lock-color = "#2e3440e0";
      line-ver-color = "#2e3440e0";
      line-wrong-color = "#2e3440e0";
      separator-color = "#2e3440e0";

      ring-color = "#5e81acf0";
      ring-clear-color = "#5e81aca0";
      ring-caps-lock-color = "#bf616af0";
      ring-ver-color = "#81a1c1f0";
      ring-wrong-color = "#d08770f0";

      bs-hl-color = "#d08770a0";
      key-hl-color = "#81a1c1a0";
    };
  };
}
