{
  config,
  lib,
  pkgs,
  ...
}:
with lib;
{
  imports = [
    ./embedded.nix
    ./networking.nix
  ];

  options.my.development.git.enable = mkOption {
    type = types.bool;
    default = true;
    example = false;
    description = ''
      Enable git and its configuration.
    '';
  };

  config.programs.git = mkIf config.my.development.git.enable {
    enable = true;
    package = pkgs.gitAndTools.gitFull;
    userName = "Victor Mignot";
    userEmail = "dala@dalaran.fr";
    signing = {
      key = "~/.ssh/id_ed25519_sk.pub";
      signByDefault = true;
      format = "ssh";
    };
    extraConfig = {
      init = {
        defaultBranch = "main";
      };
      core = {
        editor = "${pkgs.helix}/bin/hx";
      };
    };
  };
}
