{
  lib,
  config,
  pkgs,
  ...
}:
let
  toolsConfig = config.my.development.tools.embedded;
in
with lib;
{
  options.my.development.tools.embedded.enable = mkOption {
    type = types.bool;
    default = false;
    example = true;
    description = ''
      Enable embedded tools.
    '';
  };

  options.my.development.tools.embedded.packages = mkOption {
    type = types.listOf types.package;
    default = with pkgs; [
      qemu
      minicom
    ];
  };

  config.home.packages = mkIf toolsConfig.enable toolsConfig.packages;
}
