{
  config,
  lib,
  pkgs,
  ...
}:
let
  toolsConfig = config.my.development.tools.networking;
in
with lib;
{
  options.my.development.tools.networking = {
    enable = mkOption {
      type = types.bool;
      default = false;
      description = ''
        Enable network analysis tools.
      '';
    };

    packages = mkOption {
      type = types.listOf types.package;
      default = with pkgs; [ wireshark ];
      description = ''
        Network analysis tools to install.
      '';
    };
  };

  config.home.packages = mkIf toolsConfig.enable toolsConfig.packages;
}
