{
  pkgs,
  lib,
  config,
  ...
}:
with lib;
{
  options.my.games = {
    wine.enable = mkOption {
      type = types.bool;
      default = false;
    };

    steam.enable = mkOption {
      type = types.bool;
      default = false;
    };

    minecraft.enable = mkOption {
      type = types.bool;
      default = false;
    };
  };

  config = {
    home.packages =
      [ ]
      ++ (
        if config.my.games.wine.enable then
          [
            pkgs.wineWowPackages.waylandFull
          ]
        else
          [ ]
      )
      ++ (
        if config.my.games.minecraft.enable then
          [
            pkgs.prismlauncher
          ]
        else
          [ ]
      );
  };
}
