{
  lib,
  pkgs,
  config,
  ...
}:
let
  cfg = config.my.libreoffice;
in
with lib;
{
  options = {
    my.libreoffice.enable = mkOption {
      type = types.bool;
      default = true;
      description = "Whether to enable LibreOffice on this workstation.";
    };
  };

  config = {
    home.packages = mkIf cfg.enable (
      with pkgs;
      [
        libreoffice
        hunspell
        hunspellDicts.en_US
        hunspellDicts.fr-any
      ]
    );
  };
}
