{
  pkgs,
  lib,
  config,
  ...
}:
let
  cfg = config.my.rustdesk;
in
with lib;
{
  options = {
    my.rustdesk.enable = mkOption {
      type = types.bool;
      default = true;
      example = false;
      description = "Whether to enable the RustDesk client on this workstation";
    };
  };

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      rustdesk
    ];
  };
}
